Bug 206615 - [ml_IN] Rendering for combination is wrong
[ml_IN] Rendering for combination is wrong
Product: Fedora
Classification: Fedora
Component: icu (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
: i18n
Depends On:
  Show dependency treegraph
Reported: 2006-09-15 06:07 EDT by A S Alam
Modified: 2013-07-02 20:40 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.6-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-25 11:20:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Incorrect Rendering in Openoffice (28.04 KB, image/png)
2006-09-15 06:07 EDT, A S Alam
no flags Details
Correct Rendering in Kedit/gedit (27.23 KB, image/png)
2006-09-15 06:08 EDT, A S Alam
no flags Details
Incorrect Rendering in Openoffice 2 (11.52 KB, image/png)
2006-09-15 06:21 EDT, A S Alam
no flags Details
Correct Rendering in Kedit/gedit 2 (12.32 KB, image/png)
2006-09-15 06:22 EDT, A S Alam
no flags Details
patch to fix against icu (2.09 KB, patch)
2006-09-25 08:13 EDT, Caolan McNamara
no flags Details | Diff

  None (edit)
Description A S Alam 2006-09-15 06:07:18 EDT
Description of problem:
Rendering with following combination is not correct, need to fix

0d31 + 0d4d + 200d 

0d33 + 0d4d + 200d
0d23 + 0d4d + 200d
0d32 + 0d4d + 200d
0d28 + 0d4d + 200d

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open oowriter
2. type above given combination with Raw-Input with SCIM
3. copy and paste data to kedit/gedit
Actual results:
Rendering is not correct (ooo-ml-IN-rendering-issue15Sep-Incorrect.png)

Expected results:
Rendering should be like kedit/gedit (ooo-ml-IN-rendering-issue15Sep.png)

Additional info:
Screenshots are attached
Comment 1 A S Alam 2006-09-15 06:07:18 EDT
Created attachment 136339 [details]
Incorrect Rendering in Openoffice
Comment 2 A S Alam 2006-09-15 06:08:08 EDT
Created attachment 136340 [details]
Correct Rendering in Kedit/gedit
Comment 3 A S Alam 2006-09-15 06:20:45 EDT
Following is also have issue,
0d23 + 0d4d + 0d23
ml_IN (ണ + ് + ണ =ണ്ണ)
0d1f + 0d4d + 0d1f
ml_IN (ട+ ് + ട = ട്ട)
Incorrect with ooo-ml-IN-rendering-issue2-15Sep-incorrect.png
Correct (gedit/kedit) ooo-ml-IN-rendering-issue2-15Sep-correct.png

Comment 4 A S Alam 2006-09-15 06:21:07 EDT
Created attachment 136341 [details]
Incorrect Rendering in Openoffice 2
Comment 5 A S Alam 2006-09-15 06:22:11 EDT
Created attachment 136342 [details]
Correct Rendering in Kedit/gedit 2
Comment 6 Caolan McNamara 2006-09-22 10:22:22 EDT
possibly need a matching patch to icu like the (effectively forked) pango one of
Comment 7 Caolan McNamara 2006-09-22 12:36:04 EDT
Got a fix for the batch listed in comment 1 which are ZWJ related 
but the batch in comment 3 still need more work
Comment 8 Caolan McNamara 2006-09-25 08:13:55 EDT
Created attachment 137045 [details]
patch to fix against icu
Comment 9 Caolan McNamara 2006-09-25 08:21:50 EDT
And the other issue is a difference in the state table for malayam in icu vs
pango, changing to the pango one gives (unsurprisingly) the same results for the
2nd batch.

(Additionally our OOo fontconfig fallback work needs to add some support in it's
glyph fallback to also include a trailing ZWJ in a glyph fallback block. this
will be in OOo 2.0.4-4.3, until then this can be tested by explictly using a
font which supports this characters, i.e. set the CTL font to lohit malayam
before typing the sequences)

Note You need to log in before you can comment on or make changes to this bug.